Tool
analytics_insight_get
Read one saved insight of the current product by its slug or its id.
Read one saved insight of the current product by its slug or its id. Returns the definition, not results.
Behavior
- HTTP
GET /analytics/insights/:idOrSlug
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| idOrSlug | string | • | The insight's slug, or its uuid |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| kind | string | • | |
| name | string | • | |
| slug | string | • | |
| tags | array | — | |
| grain | string | — | |
| series | array | • | |
| target | object | — | |
| window | object | • | |
| display | string | — | |
| formula | string | — | |
| created_at | string | • | |
| created_by | string | • | |
| product_id | string | • | |
| updated_at | string | • | |
| description | string | — |
Try it
Read one saved insight of the current product by its slug or its id.